## haskell-hashable 1.1.2.0

=== debian/changelog ===
haskell-hashable (1.1.2.0-1) unstable; urgency=low

  * Initial packaging.

 -- Clint Adams <clint@debian.org>  Sat, 25 Jun 2011 18:47:42 -0400

## haskell-hashable 1.1.2.1

=== benchmarks/Makefile ===
package := hashable
version := $(shell awk '/^Version:/{print $$2}' ../$(package).cabal)
lib := ../dist/build/libHS$(package)-$(version).a
ghc := ghc
ghc-flags := -Wall -O -hide-all-packages \
	-package-conf ../dist/package.conf.inplace -package base \
	-package hashable -package criterion \
	-package deepseq -package ghc-prim

%.o: %.hs
	$(ghc) $(ghc-flags) -c -o $@ $<

programs := bench

.PHONY: all
all: $(programs)

bench: $(lib) Benchmarks.o
	ranlib $(lib)
	$(ghc) $(ghc-flags) -threaded -o $@ $(filter %.o,$^) $(lib)

.PHONY: clean
clean:
	-find . \( -name '*.o' -o -name '*.hi' \) -exec rm {} \;
	-rm -f $(programs)

=== debian/changelog ===
haskell-hashable (1.1.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 30 Aug 2011 14:05:17 -0400

=== debian/control ===
Source: haskell-hashable
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-text-dev
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/hashable
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hashable
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hashable

Package: libghc-hashable-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Class for types that can be converted to a hash value
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.

Package: libghc-hashable-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Class for types that can be converted to a hash value; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.

Package: libghc-hashable-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Class for types that can be converted to a hash value; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.

## haskell-hashable 1.1.2.3

=== debian/changelog ===
haskell-hashable (1.1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:34:26 +0100

haskell-hashable (1.1.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 05 Feb 2012 13:18:17 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-text-dev
+  , libghc-text-dev (>> 0.11.0.5)
+  , libghc-text-dev (<< 0.12)
   , libghc-text-prof
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hashable-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hashable \
    ([\d\.]*\d)/

## haskell-hashable 1.1.2.5

=== debian/changelog ===
haskell-hashable (1.1.2.5-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 01:16:41 +0100

haskell-hashable (1.1.2.5-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:21 +0200

haskell-hashable (1.1.2.5-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:48 +0200

haskell-hashable (1.1.2.5-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release
  * Enable testsuite 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 17:00:42 +0200

=== debian/control ===
Source: haskell-hashable
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-text-dev (>> 0.11.0.5)
  , libghc-text-dev (<< 0.12)
  , libghc-text-prof
  , libghc-test-framework-dev (>= 0.3.3)
  , libghc-test-framework-quickcheck2-dev (>= 0.2.9)
  , libghc-quickcheck2-dev (>= 2.4.0.1)
  , libghc-random-dev (>= 1.0)
  , libghc-random-dev (<< 1.1)
  , libghc-text-dev (>= 0.11.0.5)
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/hashable
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hashable
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hashable

Package: libghc-hashable-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Class for types that can be converted to a hash value${haskell:ShortBlurb}
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.
 .
 ${haskell:Blurb}

Package: libghc-hashable-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Class for types that can be converted to a hash value${haskell:ShortBlurb}
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.
 .
 ${haskell:Blurb}

Package: libghc-hashable-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Class for types that can be converted to a hash value${haskell:ShortBlurb}
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.
 .
 ${haskell:Blurb}

## haskell-hashable 1.2.1.0

=== debian/changelog ===
haskell-hashable (1.2.1.0-4) unstable; urgency=low

  * Fix mmap patch to use Cabal-compatible architecture names; "mips" is
    already aliased to cover both big- and little-endian variants, and
    "powerpc" and "powerpc64" are spelled "ppc" and "ppc64" respectively.

 -- Colin Watson <cjwatson@debian.org>  Fri, 25 Oct 2013 15:51:12 +0100

haskell-hashable (1.2.1.0-3) unstable; urgency=low

  * Disable also on powerpc64, maybe there is some arch name confusion
    somewhere. 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 24 Oct 2013 19:18:06 +0200

haskell-hashable (1.2.1.0-2) unstable; urgency=low

  * Disable calls to mmap in testsuite, whose failure prevented build

 -- Louis Bettens <louis@bettens.info>  Wed, 23 Oct 2013 22:21:51 +0200

haskell-hashable (1.2.1.0-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Louis Bettens ]
  * New upstream release
  * add HUnit dependency
  * raise GHC depended version because of cabal bug #1087

 -- Louis Bettens <louis@bettens.info>  Mon, 07 Oct 2013 20:02:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper (>= 9)
   , cdbs
   , haskell-devscripts (>= 0.8.15)
-  , ghc
+  , ghc (>= 7.6.3-5)
   , ghc-prof
+  , libghc-hunit-dev
+  , libghc-test-framework-hunit-dev
   , libghc-text-dev (>> 0.11.0.5)
   , libghc-text-dev (<< 0.12)
   , libghc-text-prof

## haskell-hashable 1.2.3.3

=== debian/changelog ===
haskell-hashable (1.2.3.3-3build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 12:09:23 +0000

haskell-hashable (1.2.3.3-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:32 -0500

haskell-hashable (1.2.3.3-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:46 +0200

haskell-hashable (1.2.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:18:58 +0200

haskell-hashable (1.2.3.2-3) unstable; urgency=medium

  * Drop patch to disable mmap on some architectures; instead, call it
    through a C helper, fixing problems with the type of the offset argument
    on some architectures.
  * Borrow debian/rules from haskell-bindings-gpgme to build with LFS flags.

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 May 2015 20:56:49 +0100

haskell-hashable (1.2.3.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:10 +0200

haskell-hashable (1.2.3.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 13:02:12 +0200

haskell-hashable (1.2.3.0-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 15:48:26 +0100

haskell-hashable (1.2.1.0-5) unstable; urgency=medium

  * Add hppa to mmap patch (Closes: 753248)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 Jun 2014 12:53:33 -0700

=== debian/control ===
Source: haskell-hashable
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-text-dev (>= 0.11.0.5),
 libghc-text-prof,
 libghc-hunit-dev,
 libghc-quickcheck2-dev (>= 2.4.0.1),
 libghc-random-dev (>= 1.0),
 libghc-random-dev (<< 1.2),
 libghc-test-framework-dev (>= 0.3.3),
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev (>= 0.2.9),
Build-Depends-Indep: ghc-doc,
 libghc-text-doc,
Standards-Version: 3.9.6
Homepage: http://github.com/tibbe/hashable
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hashable-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Class for types that can be converted to a hash value${haskell:ShortBlurb}
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.
 .
 ${haskell:Blurb}

Package: libghc-hashable-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Class for types that can be converted to a hash value${haskell:ShortBlurb}
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.
 .
 ${haskell:Blurb}

Package: libghc-hashable-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Class for types that can be converted to a hash value${haskell:ShortBlurb}
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.
 .
 ${haskell:Blurb}

## haskell-hashable 1.2.4.0

=== debian/changelog ===
haskell-hashable (1.2.4.0-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2016 15:58:18 +0100

haskell-hashable (1.2.4.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 24 May 2016 22:36:57 -0400

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
  libghc-test-framework-quickcheck2-dev (>= 0.2.9),
 Build-Depends-Indep: ghc-doc,
  libghc-text-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://github.com/tibbe/hashable
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-hashable-dev
 Architecture: any

## haskell-hashable 1.2.6.1

=== debian/changelog ===
haskell-hashable (1.2.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 17:32:23 -0400

haskell-hashable (1.2.4.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:59 -0400

haskell-hashable (1.2.4.0-2) experimental; urgency=medium

  * Consolidate package descriptions into X-Description.
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 10:26:03 -0400

=== debian/control ===
Source: haskell-hashable
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.13),
 cdbs,
 ghc (>= 8),
 ghc-prof,
 libghc-text-dev (>= 0.11.0.5),
 libghc-text-prof,
 libghc-hunit-dev,
 libghc-quickcheck2-dev (>= 2.4.0.1),
 libghc-random-dev (>= 1.0),
 libghc-random-dev (<< 1.2),
 libghc-test-framework-dev (>= 0.3.3),
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev (>= 0.2.9),
Build-Depends-Indep: ghc-doc,
 libghc-text-doc,
Standards-Version: 3.9.8
Homepage: http://github.com/tibbe/hashable
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hashable
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: class for types that can be converted to a hash value
 It defines a class, Hashable, for types that can be converted to a
 hash value. This class exists for the benefit of hashing-based data
 structures. The package provides instances for basic types and a way
 to combine hash values.

Package: libghc-hashable-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hashable-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hashable-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

LFS_CFLAGS := $(shell getconf LFS_CFLAGS)
GHC_LFSFLAGS := $(LFS_CFLAGS) $(patsubst %,-optc %,$(LFS_CFLAGS))

DEB_SETUP_GHC_CONFIGURE_ARGS = --hsc2hs-options="$(LFS_CFLAGS)" --gcc-options="$(LFS_CFLAGS)" --ghc-options="$(GHC_LFSFLAGS)"

DEB_ENABLE_TESTS := yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hashable/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hashable 1.2.7.0

=== debian/changelog ===
haskell-hashable (1.2.7.0-6) unstable; urgency=medium

  * Bump dependency versions

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 25 Aug 2019 20:05:58 +0200

haskell-hashable (1.2.7.0-5) unstable; urgency=medium

  * Fix "FTBFS when built with dpkg-buildpackage -A" by preprocessing
    the .hsc files before calling haddock (Closes: #906602).

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 15 Oct 2018 15:54:10 +0300

haskell-hashable (1.2.7.0-4) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:32 +0300

haskell-hashable (1.2.7.0-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:29 +0300

haskell-hashable (1.2.7.0-2) unstable; urgency=medium

  * Refresh patch, add a comma.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 17:13:00 -0400

haskell-hashable (1.2.7.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:05:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: haskell-hashable
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8),
+ ghc (>= 8.4.3),
  ghc-prof,
- libghc-text-dev (>= 0.11.0.5),
- libghc-text-prof,
  libghc-hunit-dev,
  libghc-quickcheck2-dev (>= 2.4.0.1),
  libghc-random-dev (>= 1.0),
@@ -18,11 +17,10 @@
  libghc-test-framework-hunit-dev,
  libghc-test-framework-quickcheck2-dev (>= 0.2.9),
 Build-Depends-Indep: ghc-doc,
- libghc-text-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://github.com/tibbe/hashable
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hashable
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashable
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashable]
 X-Description: class for types that can be converted to a hash value
  It defines a class, Hashable, for types that can be converted to a
  hash value. This class exists for the benefit of hashing-based data

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,10 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
+
+# Avoid haddock bug with ppHsc2hs by first running cabal build, which does the
+# preprocessing of the .hsc files correctly. Then haddock doesn't choke on the
+# preprocessing, and builds the docs for the library component.
+# For more information, see:
+# https://github.com/haskell/cabal/issues/4215#issuecomment-273486201
+build-haddock-stamp: build-ghc-stamp

## haskell-hashable 1.3.0.0

=== debian/changelog ===
haskell-hashable (1.3.0.0-2build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 22:31:50 +0000

haskell-hashable (1.3.0.0-2build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jul 2020 01:25:52 +0100

haskell-hashable (1.3.0.0-2) unstable; urgency=medium

  * Disable tests due to a dependency loop.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 18:53:58 -0400

haskell-hashable (1.3.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 16:26:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-hashable
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -9,15 +10,10 @@
  cdbs,
  ghc (>= 8.4.3),
  ghc-prof,
- libghc-hunit-dev,
- libghc-quickcheck2-dev (>= 2.4.0.1),
  libghc-random-dev (>= 1.0),
  libghc-random-dev (<< 1.2),
- libghc-test-framework-dev (>= 0.3.3),
- libghc-test-framework-hunit-dev,
- libghc-test-framework-quickcheck2-dev (>= 0.2.9),
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://github.com/tibbe/hashable
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashable
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashable]

## haskell-hashable 1.3.5.0

=== debian/changelog ===
haskell-hashable (1.3.5.0-2) unstable; urgency=medium

  * Fix Build-Depends.

 -- Clint Adams <clint@debian.org>  Thu, 16 Jun 2022 08:45:02 -0400

haskell-hashable (1.3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 20:52:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-hashable
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
@@ -11,10 +10,10 @@
  ghc (>= 8.4.3),
  ghc-prof,
  libghc-random-dev (>= 1.0),
- libghc-random-dev (<< 1.2),
+ libghc-random-dev (<< 1.3),
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.5.0
-Homepage: http://github.com/tibbe/hashable
+Standards-Version: 4.6.1
+Homepage: https://github.com/haskell-unordered-containers/hashable
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashable
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashable]
 X-Description: class for types that can be converted to a hash value

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 DEB_SETUP_GHC_CONFIGURE_ARGS = --hsc2hs-options="$(LFS_CFLAGS)" --gcc-options="$(LFS_CFLAGS)" --ghc-options="$(GHC_LFSFLAGS)"
 
-DEB_ENABLE_TESTS := yes
+# tests create a dependency loop with splitmix
+DEB_ENABLE_TESTS := no
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
https://hackage.haskell.org/package/hashable/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hashable 1.4.3.0

=== debian/changelog ===
haskell-hashable (1.4.3.0-1build3) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:42:45 +0100

haskell-hashable (1.4.3.0-1build2) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:38:08 +0100

haskell-hashable (1.4.3.0-1build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:25:32 +0100

haskell-hashable (1.4.3.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Sep 2023 19:49:45 +0300

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,10 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
- libghc-random-dev (>= 1.0),
- libghc-random-dev (<< 1.3),
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/haskell-unordered-containers/hashable
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashable
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashable]

## haskell-hashable 1.4.4.0

=== debian/changelog ===
haskell-hashable (1.4.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 27 Sep 2024 18:19:34 +0300

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,11 @@
  cdbs,
  ghc (>= 9.4),
  ghc-prof,
+ libghc-os-string-dev (>= 2.0.2),
+ libghc-os-string-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.6.2
+ libghc-os-string-doc,
+Standards-Version: 4.7.0
 Homepage: https://github.com/haskell-unordered-containers/hashable
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashable
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashable]

## haskell-hashable 1.5.0.0

=== debian/changelog ===
haskell-hashable (1.5.0.0-2) unstable; urgency=medium

  * Drop obsolete build dependency on os-string.

 -- Clint Adams <clint@debian.org>  Thu, 19 Feb 2026 07:34:18 -0500

haskell-hashable (1.5.0.0-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 03 Jan 2026 23:59:07 -0500

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,13 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc (>= 9.4),
  ghc-prof,
- libghc-os-string-dev (>= 2.0.2),
- libghc-os-string-prof,
 Build-Depends-Indep: ghc-doc,
- libghc-os-string-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/haskell-unordered-containers/hashable
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hashable
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hashable]

=== debian/rules ===
#!/usr/bin/make -f

LFS_CFLAGS := $(shell getconf LFS_CFLAGS)
GHC_LFSFLAGS := $(LFS_CFLAGS) $(patsubst %,-optc %,$(LFS_CFLAGS))

export DEB_SETUP_GHC_CONFIGURE_ARGS = --hsc2hs-options="$(LFS_CFLAGS)" --gcc-options="$(LFS_CFLAGS)" --ghc-options="$(GHC_LFSFLAGS)"

# tests create a dependency loop with splitmix
export DEB_ENABLE_TESTS := no

# Avoid haddock bug with ppHsc2hs by first running cabal build, which does the
# preprocessing of the .hsc files correctly. Then haddock doesn't choke on the
# preprocessing, and builds the docs for the library component.
# For more information, see:
# https://github.com/haskell/cabal/issues/4215#issuecomment-273486201
build-haddock-stamp: build-ghc-stamp

%:
	dh $@
